<?php
//require_once(ABSPATH . 'wp-admin/includes/widgets.php');

global $wp_registered_widgets, $sidebars_widgets;

$stab = get_option("sidebartabs_widget");
$sargs = get_option("sidebartabs_args");
$total_tabs = count($stab);
if (!is_array($stab)) $total_tabs = 0;
$complete_message =  '<div id="message" class="updated fade"><p>';
$success_message = '<strong>'.__('Save successful.','sidebartabs').'</strong>'; 
$error_message = '<strong>'.__('Error!','sidebartabs').'</strong><br>';
$delete_message = __('sidebarTab successfully deleted.','sidebartabs');
$update_message = __('sidebarTab successfully updated.','sidebartabs');
$save_options = '<strong>'.__('sidebarTabs Options successfully Updated!','sidebartabs').'</strong>';
$save_args = '<strong>'.__('args successfully Updated!','sidebartabs').'</strong>';

if (!empty($_POST['action'])) $_GET['action'] = $_POST['action'];

if(!empty($_GET['action'])) {
	// Decide What To Do
	switch($_GET['action']) {
		case 'args':
			if ($_POST['submit_args']) {
				$options["before_widget"] = str_replace('"',"'",$_POST['beforeWidget']);
				$options["after_widget"]  = str_replace('"',"'",$_POST['afterWidget']);
				$options["before_title"]  = str_replace('"',"'",$_POST['beforeTitle']);
				$options["after_title"]   = str_replace('"',"'",$_POST['afterTitle']);
				update_option("sidebartabs_args", $options);
				$message_args = $save_args;	
				echo '<div id="message" class="updated fade"><p>'.$message_args.'</p></div>';		
			}
			$default_args = get_option('sidebartabs_args');
	?>
			<div class="wrap">
				<h2><?php echo _e('Default args','sidebartabs'); ?></h2>
				<div class="tablenav">
					<div class="alignleft">
						<a class="button-highlighted action_buttons" href="<?php echo $_SERVER["PHP_SELF"] ?>?page=sidebarTabs.php">&laquo; <?php _e('Back to Manage sidebarTabs','sidebartabs') ?></a>
						<br class="clear" />
					</div>
				</div>
				<form name="blogform" method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>?page=sidebarTabs.php&amp;action=args"> 
				    <div class="stuffbox metabox-holder" style="padding-top:0;">
						<h3>Edit</h3>
						<table class="form-table">
							<tr valign="top">
								<th scope="row"><?php _e('Before Widget','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="beforeWidget" value="<?php echo stripslashes($default_args['before_widget']) ?>" size="50" />
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('After Widget','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="afterWidget" value="<?php echo stripslashes($default_args['after_widget']) ?>" size="50" />
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('Before Title','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="beforeTitle" value="<?php echo stripslashes($default_args['before_title']) ?>" size="50" />
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('After Title','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="afterTitle" value="<?php echo stripslashes($default_args['after_title']) ?>" size="50" />
								</td>
							</tr>
						</table>
                    </div>		
					<span class="submit"><input type="submit" name="submit_args" value="<?php echo _e('Update','sidebartabs'); ?> &raquo;" /></span>
				    <input type="hidden" name="action" value="args" />
				</form>	
			</div>	
<?php
		break;
		
		case 'delete':
			$message = true;
			$complete_message .= $delete_message;
			if (isset($_POST) AND is_array($_POST)) {
				foreach ($_POST as $n => $v) {
					if (substr($n,0,4) == "del_" AND $v == 'on') {
						unset($stab[substr($n,4)]);
					}
				}
			}
			$temp = array_values($stab);
			$stab = NULL;
			foreach ($temp as $i => $v) {
				$stab[$i+1] = $v;
			}
			update_option('sidebartabs_widget',$stab);
			if (!is_array($stab)) $total_tabs = 0;
			else $total_tabs = $i+1;
            break;
			
		case 'edit':
			if ($_GET["new"] == false) {
			    $stab = get_option('sidebartabs_widget');
				$stab_widget = $stab[$_GET['tab']];
				$before_widget = $stab_widget['before_widget'];
				$after_widget = $stab_widget['after_widget'];
				$before_title = $stab_widget['before_title'];
				$after_title = $stab_widget['after_title'];
				$title = __("SidebarTab","sidebartabs");
				$subtitle = __("Edit","sidebartabs");
				$sidebarTabs_status = is_active_widget( $wp_registered_widgets[$stab_widget['widget']]['callback'], $wp_registered_widgets[$stab_widget['widget']]['id']) ? 'active' : 'inactive';
			}
			else {
				$before_widget = $sargs['before_widget'];
				$after_widget = $sargs['after_widget'];
				$before_title = $sargs['before_title'];
				$after_title = $sargs['after_title'];
				$title = __("SidebarTab","sidebartabs");
				$subtitle = __("New","sidebartabs");
			}
?>
			<div class="wrap">
				<h2><?php echo $title ?></h2>
				<div class="tablenav">
					<div class="alignleft">
						<a class="button-highlighted action_buttons" href="<?php echo $_SERVER["PHP_SELF"] ?>?page=sidebarTabs.php">&laquo; <?php _e('Back to Manage sidebarTabs','sidebartabs') ?></a>
						<br class="clear" />
					</div>
				</div>
				<form name="blogform" method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>?page=sidebarTabs.php&amp;action=save&amp;otab=<?php echo $_GET['tab'] ?>"> 
				    <div class="stuffbox metabox-holder" style="padding-top:0;">
						<h3><?php echo $subtitle; ?></h3>
						<table class="form-table">
							<tr valign="top">
								<th scope="row"><?php echo _e('Tab Number','sidebartabs'); ?></th>
								<td><input name="number" type="text" value="<?php echo $_GET["tab"] ?>" size="3" /> <?php echo _e("The order in which the sidebartab will appear in your tab bar","sidebartabs"); ?></td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php echo _e('Widget:','sidebartabs'); ?></th>
								<td>
									<select name="widget">
								<?php 
								ksort($wp_registered_widgets);
								foreach ( $wp_registered_widgets as $widget ) { 
	//								if (!$widget['callback'] || is_array($widget['callback'])) continue;
									$name = $widget['name']; 
									if ($name == 'sidebarTabs') continue;							
							?>
								<option value="<?php echo $widget['id']; ?>" <?php  if (!$_GET['new'] && $widget['callback'] == $stab_widget['callback']) echo 'selected="selected"' ?>><?php echo $name." (".$widget['id'].")"; ?></option>
							<?php
								}
							?>
						</select>
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('Tab name','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="sidebarName" value="<?php echo $stab_widget['sidebartabname'] ?>" size="50" />
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('Unregister Widget','sidebartabs'); ?>:</th>
								<td>
										<input type="checkbox" name="unregister" value="1" <?php if ("1" == $stab_widget["unregister"]) echo "checked=\"checked\""; ?> /> <?php if (!$_GET['new']) echo ' Widget is '. $sidebarTabs_status; ?>
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('Before Widget','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="beforeWidget" value="<?php echo stripslashes($before_widget) ?>" size="50" />
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('After Widget','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="afterWidget" value="<?php echo stripslashes($after_widget) ?>" size="50" />
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('Before Title','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="beforeTitle" value="<?php echo stripslashes($before_title) ?>" size="50" />
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><?php _e('After Title','sidebartabs'); ?>:</th>
								<td>
										<input type="text" name="afterTitle" value="<?php echo stripslashes($after_title) ?>" size="50" />
								</td>
							</tr>
						</table>
					</div>	
					<?php
					if ($_GET["new"] == true) { ?>
						<span class="submit"><input type="submit" name="submit" value="<?php echo _e('Save','sidebartabs') ?> &raquo;" /></span>
					<?php } else { ?>
						<span class="submit"><input type="submit" name="submit" value="<?php echo _e('Update','sidebartabs'); ?> &raquo;" /></span>
						<input type="hidden" name="update" value="1" />
					<?php } ?>
				</form>
			</div>
			<?php	
		    break;
		
		case 'options':		
			if (isset($_POST['submit_sidebarTab'])) {		
				$options["active_font"] = $_POST['active_font'];
				$options["active_bg"] = $_POST['active_bg'];
				$options["inactive_font"] = $_POST['inactive_font'];
				$options["inactive_bg"] = $_POST['inactive_bg'];
				$options["over_font"] = $_POST['over_font'];
				$options["over_bg"] = $_POST['over_bg'];
				$options["line"] = $_POST['line'];
				$options["width_sidebar"] = $_POST['width_sidebar'];
				$options["unit"] = $_POST['unit'];
				$options["bg_panes"] = $_POST['bg_panes'];
				$options["color_links"] = $_POST['color_links'];
				$options["color_hover_links"] = $_POST['color_hover_links'];
				$options["text_color"] = $_POST['text_color'];
				$options["jQuery"] = $_POST['jQuery'];
				update_option("sidebarTabs", $options);
				$message_options = $save_options;	
				echo '<div id="message" class="updated fade"><p>'.$message_options.'</p></div>';		
			}
			$options=get_option("sidebarTabs");

?>		

<script type="text/javascript">
function sidebarTabs_preview(){
	tabs = new Array("active","inactive","over");
	
	document.getElementById("sidebarTabs_admin").style.borderBottom="1px solid "+(document.sidebarTabsOptions.line.value == 'none') ? "" : document.sidebarTabsOptions.line.value;	
	document.getElementById("sidebarTabs_admin_active").style.border="1px solid "+(document.sidebarTabsOptions.line.value == 'none') ? "" : document.sidebarTabsOptions.line.value;	
	document.getElementById("sidebarTabs_admin_inactive").style.border="1px solid "+(document.sidebarTabsOptions.line.value == 'none') ? "" : document.sidebarTabsOptions.line.value;	
	document.getElementById("sidebarTabs_admin_over").style.border="1px solid "+(document.sidebarTabsOptions.line.value == 'none') ? "" : document.sidebarTabsOptions.line.value;

	for(y=0; y<tabs.length; y++){
		document.getElementById("sidebarTabs_admin_"+tabs[y]).style.backgroundColor=document.sidebarTabsOptions.elements[tabs[y]+"_bg"].value;
	}
	for(y=0;y<tabs.length;y++){
		document.getElementById("sidebarTabs_admin_"+tabs[y]).style.color=document.sidebarTabsOptions.elements[tabs[y]+"_font"].value;
	}
	
	document.getElementById("sidebarTabs_admin_preview").style.backgroundColor=document.sidebarTabsOptions.active_bg.value;	
	document.getElementById("sidebarTabs_admin_active").style.borderBottom="1px solid "+document.sidebarTabsOptions.active_bg.value;		
}

function sidebarTabs_preview_align(dir){

	document.getElementById("sidebarTabs_admin").style.textAlign=dir;
	if(dir=="center") document.getElementById("sidebarTabs_admin").style.paddingLeft="0px";
	else document.getElementById("sidebarTabs_admin").style.paddingLeft="20px";

}
function editTab(val,name) {
   if (val==1) document.getElementById("sidebarTabs_admin_active").innerHTML = name;
   if (val==2) document.getElementById("sidebarTabs_admin_inactive").innerHTML = name;
   if (val==3) document.getElementById("sidebarTabs_admin_over").innerHTML = name;
}
function toggle_check(c) {
	c=c.checked;
	t = document.getElementById('manage_tabs_form').getElementsByTagName('input');
	for(var i=0;i<t.length;i++) {
		if (t[i].name.substring(0,4)=='del_') {
			t[i].checked=c;
		}
	}
}
</script>

		 	 <div class="wrap">
			  	<h2><?php echo _e('Options','sidebartabs'); ?></h2>
				<div class="tablenav">
					<div class="alignleft">
						<a class="button-highlighted action_buttons" href="<?php echo $_SERVER["PHP_SELF"] ?>?page=sidebarTabs.php">&laquo; <?php _e('Back to Manage sidebarTabs','sidebartabs') ?></a>
						<br class="clear" />
					</div>
				</div>
			
				<form name="sidebarTabsOptions" method="post" action="">
				<div class="stuffbox metabox-holder" style="padding-top:0;">
					<h3>jQuery 1.3.2.min <?php _e('(Check \'Yes\' if is not used in the blog)','sidebartabs') ?></h3>
					<br class="clear" />
					<table class="form-table">	
						<tr valign="top">
							<th scope="row"><?php _e('Loads','sidebartabs') ?></th>
							<td>
								<input type="radio" value="1" name="jQuery" class="align" <?php if ("1" == $options["jQuery"]) echo "checked=\"checked\""; ?> /> <?php _e('Yes','sidebartabs') ?> &nbsp;&nbsp;
								<input type="radio" value="0" name="jQuery" class="align" <?php if ("0" == $options["jQuery"]) echo "checked=\"checked\""; ?> /> <?php _e('No','sidebartabs') ?> 
							</td>
						</tr>	
					</table>
				</div>		
				<div id="wrap_right" class="stuffbox metabox-holder" style="padding:0 0 15px 0;float:right; width: 40%;">
					<h3><?php echo _e('Preview','sidebartabs') ?></h3>
					<div id="sidebarTabs_admin_preview">	
						<ul id='sidebarTabs_admin'>
							<li ><a id='sidebarTabs_admin_active' href='#'><?php echo _e('Active Tab','sidebartabs'); ?></a></li>
							<li ><a id='sidebarTabs_admin_inactive' href='#'><?php echo _e('Inactive Tab','sidebartabs'); ?></a></li>
							<li ><a id='sidebarTabs_admin_over' href='#'><?php echo _e('Mouse Over','sidebartabs'); ?></a></li>		
						</ul>
					</div>			
				</div>
				<div id="wrap_left" class="stuffbox metabox-holder" style="padding-top:0;float:left; width: 58%; padding-bottom: 15px;">
					<h3><?php echo _e('Settings','sidebartabs') ?></h3>
					<div id="colorpicker301" class="colorpicker301" onclick="setTimeout('sidebarTabs_preview()',100)"></div>				
					<table class="form-table">
						<tr>
							<td colspan="2"><?php echo _e('Enter the color in the fields bellow, or use the buttons to pick it.','sidebartabs') ?> <br /><strong><?php echo _e('Dont forget to Save the changes after you are done.','sidebartabs') ?></strong>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php echo _e('Line Color','sidebartabs'); ?></th>
							<td>
								<input type="button" onclick="showColorGrid3('line','none');" value="..." />&nbsp;
								<input type="text" id="line" name="line" size="10" value="<?php echo $options["line"] ?>" onkeyup="sidebarTabs_preview()" />
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php echo _e('Active Tab','sidebartabs'); ?></th>
							<td>
								<p><label><?php echo _e('Text color:','sidebartabs'); ?></label><input type="button" onclick="showColorGrid3('active_font','none');" value="..." />&nbsp;
								<input type="text" id="active_font" name="active_font" size="10" value="<?php echo $options["active_font"] ?>" onkeyup="sidebarTabs_preview()" /></p>
								<p><label><?php echo _e('Background color:','sidebartabs'); ?></label><input type="button" size="10" onclick="showColorGrid3('active_bg','none');" value="..." />&nbsp;
								<input type="text" id="active_bg" name="active_bg" size="10" value="<?php echo $options["active_bg"] ?>" onkeyup="sidebarTabs_preview()" /></p>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php echo _e('Mouse Over Tab','sidebartabs'); ?></th>
							<td>
								<p><label><?php echo _e('Text color:','sidebartabs'); ?></label><input type="button" onclick="showColorGrid3('over_font','none');" value="..." />&nbsp;
								<input type="text" id="over_font" name="over_font" size="10" value="<?php echo $options["over_font"] ?>" onkeyup="sidebarTabs_preview()" /></p>
								<p><label><?php echo _e('Background color:','sidebartabs'); ?></label><input type="button" onclick="showColorGrid3('over_bg','none');" value="..." />&nbsp;
								<input type="text" id="over_bg" name="over_bg" size="10" value="<?php echo $options["over_bg"] ?>" onkeyup="sidebarTabs_preview()" /></p>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php echo _e('Inactive Tab','sidebartabs'); ?></th>
							<td>
								<p><label><?php echo _e('Text color:','sidebartabs'); ?></label><input type="button" onclick="showColorGrid3('inactive_font','none');" value="..." />&nbsp;
								<input type="text" id="inactive_font" name="inactive_font" size="10" value="<?php echo $options["inactive_font"] ?>" onkeyup="sidebarTabs_preview()" /></p>
								<p><label><?php echo _e('Background color:','sidebartabs'); ?></label><input type="button" onclick="showColorGrid3('inactive_bg','none');" value="..." />&nbsp;
								<input type="text" id="inactive_bg" name="inactive_bg" size="10" value="<?php echo $options["inactive_bg"] ?>" onkeyup="sidebarTabs_preview()" /></p>
							</td>
						</tr>	
						<tr valign="top">
							<th scope="row"><?php echo _e('Width sidebar of your theme','sidebartabs'); ?></th>
							<td scope="row">
								<input type="text" name="width_sidebar" size="6" value="<?php echo $options["width_sidebar"] ?>" />
								<input type="radio" value="px" name="unit" <?php if ("px" == $options["unit"]) echo "checked=\"checked\""; ?> /> px 
								<input type="radio" value="p" name="unit" <?php if ("p" == $options["unit"]) echo "checked"; ?> /> %
							</td>
						</tr>	
						<tr valign="top">
							<th scope="row"><?php echo _e('Background color of the panes','sidebartabs'); ?></th>
							<td scope="row">
								<input type="button" onclick="showColorGrid3('bg_panes','none');" value="..." />&nbsp;
								<input type="text" id="bg_panes" name="bg_panes" size="10" value="<?php echo $options["bg_panes"] ?>" />
							</td>
						</tr>	
						<tr valign="top">
							<th scope="row"><?php echo _e('Link color in the panes','sidebartabs'); ?></th>
							<td scope="row">
								<input type="button" onclick="showColorGrid3('color_links','none');" value="..." />&nbsp;
								<input type="text" id="color_links" name="color_links" size="10" value="<?php echo $options["color_links"] ?>" /> <small>(<?php echo _e('blank assumes the theme color','sidebartabs'); ?>)</small>
							</td>
						</tr>	
						<tr valign="top">
							<th scope="row"><?php echo _e('Hover link color in the panes','sidebartabs'); ?></th>
							<td scope="row">
								<input type="button" onclick="showColorGrid3('color_hover_links','none');" value="..." />&nbsp;
								<input type="text" id="color_hover_links" name="color_hover_links" size="10" value="<?php echo $options["color_hover_links"] ?>" /> <small>(<?php echo _e('blank assumes the theme color','sidebartabs'); ?>)</small>
							</td>
						<tr valign="top">
							<th scope="row"><?php echo _e('Text color in the panes','sidebartabs'); ?></th>
							<td scope="row">
								<input type="button" onclick="showColorGrid3('text_color','none');" value="..." />&nbsp;
								<input type="text" id="text_color" name="text_color" size="10" value="<?php echo $options["text_color"] ?>" /> <small>(<?php echo _e('blank assumes the theme color','sidebartabs'); ?>)</small>
							</td>
						</tr>	
						</tr>	
					</table>							
				</div>	
					<div class="submit" style="clear:both;">
						<input type="submit" name="submit_sidebarTab" value="<?php echo _e('Update Settings', 'sidebartabs') ?> &raquo;" />
						<input type="hidden" name="action" value="options" />
					</div>					
				</form>	
				<div class="tablenav">
					<div class="alignleft">
						<a class="button-highlighted action_buttons" href="<?php echo $_SERVER["PHP_SELF"] ?>?page=sidebarTabs.php">&laquo; <?php _e('Back to Manage sidebarTabs','sidebartabs') ?></a>
						<br class="clear" />
					</div>
				</div>
				<?php if (isset($_POST['submit_sidebarTab'])) print("<script>sidebarTabs_preview();</script>"); ?>
				
		
		 </div>
<?php	
			break;

		case 'reset': {
			sidebarTabs_init(true);
			$stab = NULL;
			update_option('sidebartabs_widget',$stab);
			$total_tabs = 0;
			break;
		}
				
		case 'save':
			$message = true;
			$number = trim($_POST['number']);
		    $sidebarTabs_name = $_POST['widget'];
		    $sidebarTabs_tabname = $_POST['sidebarName'];
			$before_widget = str_replace('"',"'",$_POST['beforeWidget']);
			$after_widget  = str_replace('"',"'",$_POST['afterWidget']);
			$before_title  = str_replace('"',"'",$_POST['beforeTitle']);
			$after_title   = str_replace('"',"'",$_POST['afterTitle']);
		    $sidebarTabs_description = $wp_registered_widgets[$_POST['widget']]['description'];
		    $sidebarTabs_callback = $wp_registered_widgets[$_POST['widget']]['callback'];		
			$sidebarTabs_unregister = ($_POST['unregister'] == 1) ? 1 : 0;
			if (!empty($_POST['update'])) {
				$success = true;
				$success_message = $update_message;
				$stab[$number] = array('widget' => $sidebarTabs_name, 'sidebartabname' => $sidebarTabs_tabname, 'description' => $sidebarTabs_description, 'callback' => $sidebarTabs_callback, 'unregister' => $sidebarTabs_unregister, 'before_widget' => $before_widget, 'after_widget' => $after_widget, 'before_title' => $before_title, 'after_title' => $after_title);
				update_option('sidebartabs_widget', $stab);
				$total_tabs = count($stab);
				break;		   
			}
			if (!is_numeric($number) && empty($number)) {
				$number = $total_tabs+1;
				$success_message .= '
					<li>'.sprintf(__('The tab number was set to %s.','sidebartabs'),$number).'</li>'; 
			
			} 
			
			if (!is_numeric($number)) {
				$number = ($total_tabs+1);				
			}
								
			if ($number != $_POST['otab']) {			
				if ($number < 1) {
					$success_message .= '
						<li>'.__('The tab number should be at least 1 and so was changed to 1.','sidebartabs').'</li>';
					$number = 1;
				} elseif ($number > ($total_tabs+1)) {
					$success_message .= '
						<li>'.__('The tab number was changed to be only one higher than the previous total number of tabs.','sidebartabs').'</li>';
					$number = ($total_tabs+1);
				}
				if ($number < $_GET["otab"]) {
					$temp = $stab;
					foreach ($temp as $i => $v) {
						if (($i >= $number) && ($i < $_GET["otab"])) {
							$stab[$i+1] = $v;
						}
					}
				} elseif ($number > $_GET["otab"]) {
					$temp = $stab;
					foreach ($temp as $i => $v) {
						if (($i <= $number) && ($i > $_GET["otab"])) {
							$stab[$i-1] = $v;
						}
					}
				}
			}
			
			$success = true;
			$stab[$number] = array('widget' => $sidebarTabs_name, 'sidebartabname' => $sidebarTabs_tabname, 'description' => $sidebarTabs_description, 'callback' => $sidebarTabs_callback, 'unregister' => $sidebarTabs_unregister, 'before_widget' => $before_widget, 'after_widget' => $after_widget, 'before_title' => $before_title, 'after_title' => $after_title);
			update_option('sidebartabs_widget', $stab);
			$total_tabs = count($stab);
		break;	
	}
	if ( $message == true ) {
		if  ( $error == true ) {
			$complete_message .= $error_message;
		} 
		if ( $success == true ) {
			$complete_message .= $success_message;
		}
		$complete_message .= '</p></div>';
		
		echo $complete_message;
	}
}	

if (!isset($_GET['action']) || $_GET['action'] != 'edit' && $_GET['action'] != 'options' && $_GET['action'] != 'args') {	
?>

	<div class="wrap">	
		<h2><?php echo _e('Manage sidebarTabs','sidebartabs'); ?></h2>
		<br class="clear" />
		<form id="manage_tabs_form" method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>?page=sidebarTabs.php&amp;action=delete"> 
			<div class="tablenav">
				<div class="alignleft">
					<input type="submit" value="<?php echo _e('Delete','sidebartabs'); ?>" name="delete" class="button-secondary delete action_buttons" />
					<a class="button-highlighted action_buttons" href="<?php echo $_SERVER['PHP_SELF'] ?>?page=sidebarTabs.php&amp;action=edit&amp;new=1&amp;tab=<?php echo ($total_tabs+1) ?>"><?php echo _e('Create New sidebarTab','sidebartabs'); ?></a>&brvbar;&nbsp;&nbsp;&nbsp;
					<a class="button-highlighted action_buttons" href="<?php echo $_SERVER['PHP_SELF'] ?>?page=sidebarTabs.php&amp;action=options"><?php _e('sidebarTabs Options','sidebartabs'); ?></a>
					<a class="button-highlighted action_buttons" href="<?php echo $_SERVER['PHP_SELF'] ?>?page=sidebarTabs.php&amp;action=args"><?php echo _e('Default args','sidebartabs'); ?></a>&brvbar;&nbsp;&nbsp;&nbsp;
					<a class="button-highlighted action_buttons" href="<?php echo $_SERVER['PHP_SELF'] ?>?page=sidebarTabs.php&amp;action=reset" onclick="javascript:check=confirm('<?php echo _e('Reset ?','sidebartabs'); ?>');if(check==false) return false;"><?php echo _e('Reset','sidebartabs'); ?></a>
				</div>
				<br class="clear" />
			</div>
			<br class="clear" />
			<table class="widefat"> 
				<thead>
					<tr> 
						<th scope="col" class="check-column"><input type="checkbox" onclick="toggle_check(this)" /></th> 
						<th scope="col"><?php echo _e('Order','sidebartabs'); ?></th>
						<th scope="col"><?php echo _e('Widget','sidebartabs'); ?></th>
						<th scope="col"><?php echo _e('Tab Name','sidebartabs'); ?></th>
						<th scope="col"><?php echo _e('Description','sidebartabs'); ?></th>
						<th scope="col"><?php echo _e('Callback','sidebartabs'); ?></th>
						<th scope="col"><?php echo _e('Unregister','sidebartabs'); ?></th>
						<th scope="col"><?php echo _e('Action','sidebartabs'); ?></th>
					</tr>	
				</thead>	
				<?php
				if (is_array($stab)) { 
					ksort($stab);
					foreach ($stab as $i => $widget ) {
					    if ($widget['unregister'] == 1) $unregister = __('yes','sidebartabs');
						else $unregister = __('no','sidebartabs');
						if ($i%2) { 
							echo '<tr class="alternate">';
						} else {
							echo '<tr>';
						}
						echo '
							  <th scope="row" class="check-column"><input type="checkbox" name="del_'.$i.'" /></th>
							  <td>'.$i.'</td>
							  <td>'.$widget['widget'].'</td>
							  <td>'.$widget['sidebartabname'].'</td>
							  <td>'.$widget['description'].'</td>
							  <td>'.$widget['callback'].'</td>
							  <td>'.$unregister.'</td>
							  <td><a href="'.$_SERVER["PHP_SELF"].'?page=sidebarTabs.php&amp;action=edit&amp;new=0&amp;tab='.$i.'">'.__('Edit','sidebartabs').'</a></td>
						  </tr>';  
					}
				}
				?>
			</table>	
		</form>
		<br class="clear" />
		<h2><?php echo _e('Preview (without style)','sidebartabs'); ?></h2>
		<br class="clear" />
		<?php 
			sidebarTabs_addHeader(); 
			get_sidebarTabs(''); 
		?>
	</div>
	<?php } ?>
