<?php
header("Content-type: text/css");

if ($_GET['unit'] == 'p') {
	$tam_scrollable = '78%';
	$unit = '%';
}
else {
	$tam_scrollable = ($_GET["width_sidebar"] - 42)."px";
	$unit = $_GET['unit'];
}
?>

div#sb_container {
	width: <?php echo $_GET["width_sidebar"].$unit; ?>;
}	
div.sidebarTabs_panes {
<?php if ($_GET['theme'] == "default") { ?>
	float: left;
<?php } else { ?>
	clear: left;
<?php } ?>		
	margin: 0 0 10px 0;
	padding: 0;
	width: 100%;
	border: 1px solid #<?php echo $_GET["line"]; ?>
}
	
/* tab pane */
div.sidebarTabs_panes .tb {
	display:none;
	padding:8px 10px;
	background-color:#<?php echo $_GET["bg_panes"]; ?>;
	min-height: 150px;
	<?php if ($_GET["text_color"] != "") { ?>	
	color: #<?php echo $_GET["text_color"]; ?> !important; 
	<?php } ?>
}
	<?php if ($_GET["color_links"] != "") { ?>
div.sidebarTabs_panes .tb a {
	color: #<?php echo $_GET["color_links"]; ?> !important;
}
	<?php } ?>
	<?php if ($_GET["color_hover_links"] != "") { ?>
div.sidebarTabs_panes .tb a:hover {
	color: #<?php echo $_GET["color_hover_links"]; ?> !important;
}
	<?php } ?>
ul.sidebarTabs {  
	margin:0 !important; 
	padding:0;
	font-family: tahoma, arial, verdana, sans-serif;
}

/* single tab */
ul.sidebarTabs li {  
	float:left;	 
	padding:0; 
	margin:0 !important;  
	list-style-type:none;
}

/* link inside the tab. uses a background image */
ul.sidebarTabs a { 
	float:left;
	font-size:11px;
	display:block;
	padding:0 6px !important;
	text-align: center;	
	text-decoration:none;
	color:#<?php echo $_GET["inactive_font"]; ?> !important;
	margin-right: 2px;
	background-color: #<?php echo $_GET["inactive_bg"]; ?>;
	-moz-border-radius-topleft: 4px;
	-moz-border-radius-topright:4px;
	position:relative;
	outline: none;
	height: 26px  !important;	
	line-height: 26px !important;
	border: 1px solid #<?php echo $_GET["line"]; ?>
}

ul.sidebarTabs a:hover {
	background-color:#<?php echo $_GET["over_bg"]; ?> !important;
	color:#<?php echo $_GET["over_font"]; ?> !important;
}
	
/* selected tab */
ul.sidebarTabs a.current {
	background-color:#<?php echo $_GET["active_bg"]; ?> !important;
	color:#<?php echo $_GET["active_font"]; ?> !important;	
	cursor:default;
}

ul.sidebarTabs li:before{
	content: none !important;	
}  
/* 
    root element for the scrollable. 
    when scrolling occurs this element stays still. 
*/ 
div.scrollable { 
 
    /* required settings */ 
    position:relative; 
    overflow:hidden; 
    width: <?php echo $tam_scrollable; ?>; 
    height:26px !important; 
	line-height: 26px !important;
    float: left;
} 
 
/* 
    root element for scrollable items. Must be absolutely positioned 
    and it should have a super large width to accomodate scrollable items. 
    it's enough that you set width and height for the root element and 
    not for this element. 
*/ 
ul.sidebarTabs  { 
    /* this cannot be too large */ 
    width:20000em; 
    position:absolute; 
} 
 
/* 
    a single item. must be floated on horizontal scrolling 
    typically this element is the one that *you* will style 
    the most. 
*/ 
div#sb_container a.prev, div#sb_container a.next {
	margin-top:4px;	
}
/* prev, next */
div#sb_container a.prev, div#sb_container a.next {
	width:18px;
	height:18px;
	float:left;
	cursor:pointer;
	font-size:1px;
}
div#sb_container a.prev {
	margin-right: 3px;
}
div#sb_container a.next {
	margin-left: 3px;
}	
div#sb_container a.prev {
	background:url(images/left.png) 0 -18px no-repeat;
}
div#sb_container a.next {
	float: right;
	background:url(images/right.png) 0 -18px no-repeat;
	clear:right;	
} 
div#sb_container a.prev:hover {
	background-position:0 -18px;		
}
div#sb_container a.next:hover {
	background-position: 0 -18px;		
}
/* disabled navigational button */
div#sb_container a.prev.disabled {
	background:url(images/left.png) no-repeat;
	cursor: default;
}
div#sb_container a.next.disabled {
	background:url(images/right.png) 0 0 no-repeat;
	cursor: default;
}

.widget_title { display: none; }

.title_sidebarTabs {
	line-height: 30px !important;
	background-color: #464646;
	margin: 0 0 10px 0 !important;
	padding: 0 0 0 10px !important;
	color: #fff !important;
	font-size: 1.2em !important;
}